# Deployment Addresses

### Mainnet

| Contract                                | Address                                                                   | Comment                                                                                                                                             |
| --------------------------------------- | ------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| stFlowToken                             | [0xd6f80565193ad727](https://www.flowdiver.io/account/0xd6f80565193ad727) | A liquid (transferrable), interest-bearing fungible token, backed by the underlying staked `$Flow` and any generated staking rewards                |
| LiquidStakingError, LiquidStakingConfig | [0xd6f80565193ad727](https://www.flowdiver.io/account/0xd6f80565193ad727) | Error codes, constants, configurable paramaters                                                                                                     |
| LiquidStaking                           | [0xd6f80565193ad727](https://www.flowdiver.io/account/0xd6f80565193ad727) | Main entry points to the Liquid Staking Protocol, including public functions like `stake`, `unstake`, `migrate`, `cashoutWithdrawVoucher`, etc.     |
| DelegatorManager                        | [0xd6f80565193ad727](https://www.flowdiver.io/account/0xd6f80565193ad727) | Management of staked `$flow`, handling unstaking requests and delegation strategies, protocol epoch advancement and price update of `$stFlow` token |

### Testnet

<table><thead><tr><th width="247">Contract</th><th>Address</th></tr></thead><tbody><tr><td>stFlowToken</td><td><a href="https://testnet.flowdiver.io/account/0xe45c64ecfe31e465">0xe45c64ecfe31e465</a></td></tr><tr><td>LiquidStakingError, LiquidStakingConfig</td><td><a href="https://testnet.flowdiver.io/account/0xe45c64ecfe31e465">0xe45c64ecfe31e465</a></td></tr><tr><td>LiquidStaking</td><td><a href="https://testnet.flowdiver.io/account/0xe45c64ecfe31e465">0xe45c64ecfe31e465</a></td></tr><tr><td>DelegatorManager</td><td><a href="https://testnet.flowdiver.io/account/0xe45c64ecfe31e465">0xe45c64ecfe31e465</a> </td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.increment.fi/protocols/liquid-staking/deployment-addresses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
